Don't use MAC address as matching parameter when using "spoof"
Description

When using the 'spoof' unattended installation option from a host on the local network, the MAC address (if available) is still used to

determine which host profile to render the kickstart for.

This patch ignores the MAC address if using the ?spoof=<ip.addr> option. This is required for our environment, as we don't directly

control DHCP/DNS so use the spoof option to obtain the correct kickstart file.

History

#1 - 08/15/2010 12:51 PM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Jon Fautley

would you consider refactoring the code that if using spoof, it simply doesn't go to that bit of code?

I think it would be cleaner if all of the additional checks will not be performed if we are in spoof mode.

#2 - 08/15/2010 12:51 PM - Ohad Levy

- Tracker changed from Bug to Feature

#3 - 09/19/2010 03:55 PM - Ohad Levy

- Target version set to 0.2

This seems to me a bit hackish.. I'll try to refactor the logic.... newer patches are welcome :)

#4 - 11/09/2010 09:27 AM - Ohad Levy

would you mind refactoring the patch along side with the patch for #359?

#5 - 11/09/2010 09:28 AM - Ohad Levy

additionally, the latest version uses the MAC address if it exists, ignoring the ip address altogether, maybe this solves your original issue?

#6 - 12/26/2010 05:24 AM - Ohad Levy

- Target version deleted (0.2)

waiting for feedback...

#7 - 12/06/2012 10:44 AM - Benjamin Papillon

- Status changed from Feedback to New

- Assignee deleted (Jon Fautley)

I'm removing the feedback status so a bored developer can update the patches
#8 - 12/06/2012 10:45 AM - Benjamin Papillon

- Status changed from New to Closed

It should be working with 1.1. Please, don't hesitate to reopen the bug if it is not the case!

Files

0001-Don-t-use-MAC-address-as-matching-parameter-when-usi.patch1.08 KB 07/06/2010 Jon Fautley
